# pydicom.datadict.dictionary_is_retired

pydicom.datadict.dictionary_is_retired(tag: int | str | Tuple[int, int] | BaseTag) → bool

  Return `True` if the element corresponding to tag is retired.

  Only performs the lookup for official DICOM elements.

  Parameters:

    tag (int or str or Tuple[int, int]) – The tag for the element whose retirement status is being checked, in any of the forms accepted by `Tag()`.

  Returns:

    `True` if the element’s retirement status is ‘Retired’, `False` otherwise.

  Return type:

    bool

  Raises:

    KeyError – If the tag is not present in the DICOM data dictionary.